Package com.databricks.jdbc.client.impl.thrift.generated

## Class TRenewDelegationTokenResp

- java.lang.Object
- - com.databricks.jdbc.client.impl.thrift.generated.TRenewDelegationTokenResp

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TRenewDelegationTokenResp>`, `org.apache.thrift.TBase<TRenewDelegationTokenResp,​TRenewDelegationTokenResp._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-05-06")
    public class TRenewDelegationTokenResp
    extends Object
    implements org.apache.thrift.TBase<TRenewDelegationTokenResp,​TRenewDelegationTokenResp._Fields>, Serializable, Cloneable, Comparable<TRenewDelegationTokenResp>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TRenewDelegationTokenResp._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`static Map<TRenewDelegationTokenResp._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`TStatus` `status`

### Constructor Summary

Constructors
`TRenewDelegationTokenResp()`
`TRenewDelegationTokenResp​(TRenewDelegationTokenResp other)` Performs a deep copy on other.
`TRenewDelegationTokenResp​(TStatus status)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TRenewDelegationTokenResp other)`
`TRenewDelegationTokenResp` `deepCopy()`
`boolean` `equals​(TRenewDelegationTokenResp that)`
`boolean` `equals​(Object that)`
`TRenewDelegationTokenResp._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TRenewDelegationTokenResp._Fields field)`
`TStatus` `getStatus()`
`int` `hashCode()`
`boolean` `isSet​(TRenewDelegationTokenResp._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetStatus()` Returns true if field status is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TRenewDelegationTokenResp._Fields field, Object value)`
`TRenewDelegationTokenResp` `setStatus​(TStatus status)`
`void` `setStatusIsSet​(boolean value)`
`String` `toString()`
`void` `unsetStatus()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### status

    public TStatus status

#### metaDataMap

    public static final Map<TRenewDelegationTokenResp._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TRenewDelegationTokenResp

    public TRenewDelegationTokenResp()

#### TRenewDelegationTokenResp

    public TRenewDelegationTokenResp​(TStatus status)

#### TRenewDelegationTokenResp

    public TRenewDelegationTokenResp​(TRenewDelegationTokenResp other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TRenewDelegationTokenResp deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TRenewDelegationTokenResp,​TRenewDelegationTokenResp._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TRenewDelegationTokenResp,​TRenewDelegationTokenResp._Fields>`

#### getStatus

    public TStatus getStatus()

#### setStatus

    public TRenewDelegationTokenResp setStatus​(TStatus status)

#### unsetStatus

    public void unsetStatus()

#### isSetStatus

    public boolean isSetStatus()

Returns true if field status is set (has been assigned a value) and false otherwise

#### setStatusIsSet

    public void setStatusIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TRenewDelegationTokenResp._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TRenewDelegationTokenResp,​TRenewDelegationTokenResp._Fields>`

#### getFieldValue

    public Object getFieldValue​(TRenewDelegationTokenResp._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TRenewDelegationTokenResp,​TRenewDelegationTokenResp._Fields>`

#### isSet

    public boolean isSet​(TRenewDelegationTokenResp._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TRenewDelegationTokenResp,​TRenewDelegationTokenResp._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TRenewDelegationTokenResp that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TRenewDelegationTokenResp other)

Specified by:
  `compareTo` in interface `Comparable<TRenewDelegationTokenResp>`

#### fieldForId

    public TRenewDelegationTokenResp._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TRenewDelegationTokenResp,​TRenewDelegationTokenResp._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`